$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.1.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.1.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'F630E75507C94C4018AAEFBF75FC75219A73667553DF2D90D3E6C81969191EB7'
  checksumType = 'sha256'
  checksum64 = 'F630E75507C94C4018AAEFBF75FC75219A73667553DF2D90D3E6C81969191EB7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.24.1-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
